KTGETTAXIDFROMACC(1)

NAME
ktGetTaxIDFromAcc - explore hierarchical metagenomic data with zoomable pie charts

DESCRIPTION
Description:

    Translates accessions (from arguments or <stdin>) to NCBI taxonomy IDs. The accession can be bare or in the fourth field of pipe notation (e.g. "gi|12345|xx|ABC123.1|", ignoring fasta tag markers [">"]). Inputs that are bare numbers will be assumed to be taxonomy IDs already and preserved. Accessions with no taxonomy IDs in the database will return 0.

Usage:

    ktGetTaxIDFromAcc [options] [acc1 acc2 ...] [< acc_list] > tax_ID_list

    Command line example:

    ktGetTaxIDFromAcc A00001.1 A00002.1

    Fasta tag example:

    grep ">" sequence

OPTIONS

-p  Prepend tax IDs to the original lines (separated by tabs).

-a  Append tax IDs to the original lines (separated by tabs).